## CongEditorAreaStructural

CongEditorAreaStructural —

## Synopsis

    struct      CongEditorAreaStructural;
    #define     CONG_EDITOR_AREA_STRUCTURAL     (obj)
    #define     CONG_EDITOR_AREA_STRUCTURAL_CLASS(klass)
    #define     IS_CONG_EDITOR_AREA_STRUCTURAL  (obj)
    GType       cong_editor_area_structural_get_type
                                                (void);
    CongEditorArea* cong_editor_area_structural_construct
                                                (CongEditorAreaStructural *area_structural,
                                                 CongEditorWidget3 *editor_widget,
                                                 GdkPixbuf *pixbuf,
                                                 const gchar *text,
                                                 CongEditorAreaThemeCallback theme_cb);
    CongEditorArea* cong_editor_area_structural_new
                                                (CongEditorWidget3 *editor_widget,
                                                 GdkPixbuf *pixbuf,
                                                 const gchar *text,
                                                 CongEditorAreaThemeCallback theme_cb);

## Object Hierarchy

      GObject
       +----CongEditorArea
             +----CongEditorAreaContainer
                   +----CongEditorAreaBin
                         +----CongEditorAreaStructural
                               +----CongEditorAreaStructuralTag

## Description

## Details

### struct CongEditorAreaStructural

    struct CongEditorAreaStructural;

### CONG_EDITOR_AREA_STRUCTURAL()

    #define CONG_EDITOR_AREA_STRUCTURAL(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_EDITOR_AREA_STRUCTURAL_TYPE, CongEditorAreaStructural)

`obj` : |

### CONG_EDITOR_AREA_STRUCTURAL_CLASS()

    #define CONG_EDITOR_AREA_STRUCTURAL_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_EDITOR_AREA_STRUCTURAL_TYPE, CongEditorAreaStructuralClass)

`klass` : |

### IS_CONG_EDITOR_AREA_STRUCTURAL()

    #define IS_CONG_EDITOR_AREA_STRUCTURAL(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_EDITOR_AREA_STRUCTURAL_TYPE)

`obj` : |

### cong_editor_area_structural_get_type ()

    GType       cong_editor_area_structural_get_type
                                                (void);

Returns : |

### cong_editor_area_structural_construct ()

    CongEditorArea* cong_editor_area_structural_construct
                                                (CongEditorAreaStructural *area_structural,
                                                 CongEditorWidget3 *editor_widget,
                                                 GdkPixbuf *pixbuf,
                                                 const gchar *text,
                                                 CongEditorAreaThemeCallback theme_cb);

TODO: Write me

`area_structural` : |
`editor_widget` : |
`pixbuf` : |
`text` : |
`theme_cb` : |
Returns : |

### cong_editor_area_structural_new ()

    CongEditorArea* cong_editor_area_structural_new
                                                (CongEditorWidget3 *editor_widget,
                                                 GdkPixbuf *pixbuf,
                                                 const gchar *text,
                                                 CongEditorAreaThemeCallback theme_cb);

TODO: Write me

`editor_widget` : |
`pixbuf` : |
`text` : |
`theme_cb` : |
Returns : |